local function doFadeWipe(state)
  fadeWipe = celeste.FadeWipe(engine.Scene, state, nil)
  engine.Scene:Add(fadeWipe)
  fadeWipe.duration = 2
  fadeWipe.EndTimer = 1
end


function onBegin()

  if getFlag("outtreehouse") then

    disablePause()
    disableMovement()
    doFadeWipe(true)
    player.Facing = getEnum("Celeste.Facings", "Left")
    wait(1.5)

    setFlag("outtreehouse", false)
    enableMovement()
    enablePause()

  end

end